Bug 189042 - Review Request: perl-Archive-Extract
Review Request: perl-Archive-Extract
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188505 188523 188527 189041
Blocks: FE-ACCEPT 189048
  Show dependency treegraph
 
Reported: 2006-04-14 19:52 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 17:44:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 19:52:05 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Archive-Extract/perl-Archive-Extract.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Archive-Extract-0.08-1.src.rpm
Description:
Archive::Extract is a generic archive extraction mechanism.
Comment 1 Jason Tibbitts 2006-04-15 01:00:34 EDT
I wonder what this is about:
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_Archive-Extract....ok
        162/617 skipped: No buffers available
All tests successful, 162 subtests skipped.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   1e5d21e4dcd52e168eb2d660e44a48a6  Archive-Extract-0.08.tar.gz
   1e5d21e4dcd52e168eb2d660e44a48a6  Archive-Extract-0.08.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-04-21 17:44:40 EDT
Imported, branches created, builds requested.

Note You need to log in before you can comment on or make changes to this bug.